<?php
// $Id: jsmenu.php,v 1.5 2003/05/15 09:54:35 bravecobra Exp $
// ----------------------------------------------------------------------
// POST-NUKE Content Management System
// Copyright (C) 2001 by the Post-Nuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
// Based on:
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------
// Module: ContentExpress
// Copyright (C) 2002 by the Content Express Development Team.
//                           Arising Group, Inc.
// http://xexpress.sourceforge.net/
// Original Author of file: Chester Chee
// Purpose of file: Show menu tree
// ----------------------------------------------------------------------

$ModName = basename( dirname( dirname( __FILE__ )));

include_once( "modules/$ModName/pnclass/CommonExpress.php" );
include_once( "modules/$ModName/pnclass/MenuExpress.php" );

/**
 * initialise block
 */
function ContentExpress_jsmenublock_init()
{
    $menu = new MenuExpress();
    return $menu->menublock_jsinit();
}

/**
 * get information on block
 */
function ContentExpress_jsmenublock_info()
{
    $menu = new MenuExpress();
    return $menu->menublock_jsinfo();
}

/**
 * display block
 */
function ContentExpress_jsmenublock_display($blockinfo)
{
    // Look up generated javascript file here
    // if found, include it in the display,
    // else generate it then include it in the display.
    $menu = new MenuExpress();
    return $menu->menublock_jsdisplay( $blockinfo );
}

/**
 * modify block settings
 */
function ContentExpress_jsmenublock_modify($blockinfo)
{
    $menu = new MenuExpress();
    return $menu->menublock_jsmodify( $blockinfo );
}

/**
 * update block settings
 */
function ContentExpress_jsmenublock_update($blockinfo)
{
    $menu = new MenuExpress();
    return $menu->menublock_jsupdate( $blockinfo );
}
?>
